import PropTypes from 'prop-types';
import React, { useState } from 'react';

import AgencyPerDay from '../pages/agency-per-day';
import TripUpdates from '../pages/trip-updates-route-day';

export default function Realtime({ state }) {
    if ( state === 'routes' ) {
    return (
	<>
	    <p>
		Analyse GTFS Realtime TripUpdates by agency_id and date
	    </p>
	    <AgencyPerDay />
	</>
    );
    } else if ( state === 'trips' ) {
    return (
	<>
	    <p>
		Analyse GTFS Realtime TripUpdates by route_id and date
	    </p>
            <TripUpdates />
	</>
    );
    } else {
	return <p>Select GTFS Realtime analysis rule to contine!</p>;
    }	
};


Realtime.propTypes = {
    state: PropTypes.string
};
