import PropTypes from 'prop-types';
import React, { useState } from 'react';

export default function RadioButton({ state, onChange }) {
    return (
    <div >
      <form>
        <fieldset>
            <legend>Select GTFS Realtime analysis rule:</legend>
            <input
            type="radio"
            name="state"
            id='state-routes'
            value="routes"
            onChange={onChange}
            checked={state === 'routes'} />
            <label htmlFor="state-routes">
		Analyse GTFS Realtime TripUpdates by agency_id and date
	    </label><br />
          <input
            type="radio"
            name="state"
            id='state-trips'
            value="trips"
            onChange={onChange}
            checked={state === 'trips'} />
            <label htmlFor="state-trips">
		Analyse GTFS Realtime TripUpdates by route_id and date
	    </label><br />
        </fieldset>
      </form>
    </div>
  );
};

RadioButton.propTypes = {
    state: PropTypes.string,
    onChange: PropTypes.func
};
